Skip to content

Commercial Catalog

All operations require authentication.

2 operationsv2/commercialCatalog/offers
Agent setup

List all offersProduction

GET
/v2/commercialCatalog/offers

Query parameters

merchants
MerchantEnum[]

Offer merchant

ValuesASIAAUCADEESFRGBIEINITMANLPLPTQCSGSNTNUSWEWS
nature
OfferNatureEnum

Offer nature

ValuesBILLING_PLANPACKREGULARSTRUCTURAL
productCode
string

Commercial product code

state
OfferStateEnum[]

Offer state

ValuesACTIVEDEPRECATED
technicalRequirements
string[]

Offer config fields

type
OfferTypeEnum

Offer type

ValuesATOMICCOMPOSITE

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Offer[]successful operation
code
read-only
string

Unique code for the offer

commercialRatingValues
read-only
CommercialRatingValue[]

Applicable commercial rating values

descriptions
read-only
Description[]

Offer description

engagements
read-only
Engagement[]

List of engagements available to subscribe the offer to

id
read-only
string

Unique identifier of the offer

legacy
read-only
Legacy

Offer information based on previous model used for migration to the new model

nature
read-only
OfferNatureEnum

Offer nature

ValuesBILLING_PLANPACKREGULARSTRUCTURAL
offers
read-only
CompositeOfferCommercialOffer[]

Sub offers when type is composite

product
read-only
OfferCommercialProduct

Product linked to the offer

technicalRequirements
read-only
TechnicalRequirement[]

List of technical requirements of the product linked to the offer

type
read-only
OfferTypeEnum

Offer type

ValuesATOMICCOMPOSITE
validity
read-only
Validity

Offer validity information

version
read-only
integer

Offer version, increase on update

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/commercialCatalog/offers \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "code": "string", "commercialRatingValues": [ { "invoiceLabels": [ { "label": "string", "language": "cs_CZ" } ], "ratingValue": { "prices": [ { "amount": null, "currencyCode": null } ], "type": "PRICE" } } ], "descriptions": [ { "language": "cs_CZ", "longLabel": "string", "shortLabel": "string" } ], "engagements": [ { "autoReactivation": true, "validDuration": "string" } ], "id": "string", "legacy": { "blobs": { "content": { "technical": { "bandwidth": { "guaranteed": null, "isMax": null, "level": null, "max": null, "maxUnit": null, "unit": null, "unlimited": null }, "connection": { "clients": null, "total": null }, "connectionPerSeconds": { "total": null, "unit": null }, "cpu": { "brand": null, "cores": null, "frequency": null, "maxFrequency": null, "model": null, "threads": null, "type": null }, "ephemeralLocalStorage": { "disks": null }, "gpu": { "memory": null, "model": null, "number": null, "performance": null }, "memory": { "interface": null, "size": null, "sizeUnit": null }, "name": "string", "nodes": { "number": null }, "nvme": { "disks": null }, "os": { "family": null }, "requestPerSeconds": { "total": null, "unit": null }, "storage": { "disks": null, "raid": null }, "throughput": { "level": null }, "volume": { "capacity": null, "iops": null }, "vrack": { "guaranteed": null, "isMax": null, "level": null, "max": null, "maxUnit": null, "unit": null, "unlimited": null } } } }, "catalog": { "id": 0, "name": "string" }, "plan": "string" }, "nature": "BILLING_PLAN", "offers": [ { "commercialOffer": "string", "max": 0, "min": 0, "resourceDeliveryQuantity": 0 } ], "product": { "commercialProduct": { "code": "string", "descriptions": [ { "language": "cs_CZ", "longLabel": "string", "shortLabel": "string" } ] }, "max": 0, "min": 0 }, "technicalRequirements": [ { "default": "string", "name": "string", "values": [ "string" ] } ], "type": "ATOMIC", "validity": { "eolDate": "2024-01-01T12:00:00Z", "eosDate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z" }, "version": 0 }]

Get details of an offerProduction

GET
/v2/commercialCatalog/offers/{id}

Path parameters

id
required
string

Id

Response

200Offersuccessful operation
code
read-only
string

Unique code for the offer

commercialRatingValues
read-only
CommercialRatingValue[]

Applicable commercial rating values

descriptions
read-only
Description[]

Offer description

engagements
read-only
Engagement[]

List of engagements available to subscribe the offer to

id
read-only
string

Unique identifier of the offer

legacy
read-only
Legacy

Offer information based on previous model used for migration to the new model

nature
read-only
OfferNatureEnum

Offer nature

ValuesBILLING_PLANPACKREGULARSTRUCTURAL
offers
read-only
CompositeOfferCommercialOffer[]

Sub offers when type is composite

product
read-only
OfferCommercialProduct

Product linked to the offer

technicalRequirements
read-only
TechnicalRequirement[]

List of technical requirements of the product linked to the offer

type
read-only
OfferTypeEnum

Offer type

ValuesATOMICCOMPOSITE
validity
read-only
Validity

Offer validity information

version
read-only
integer

Offer version, increase on update

Example uses id = string

$ curl https://api.eu.ovhcloud.com/v2/commercialCatalog/offers/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "code": "string", "commercialRatingValues": [ { "invoiceLabels": [ { "label": "string", "language": "cs_CZ" } ], "ratingValue": { "prices": [ { "amount": 0, "currencyCode": "AUD" } ], "type": "PRICE" } } ], "descriptions": [ { "language": "cs_CZ", "longLabel": "string", "shortLabel": "string" } ], "engagements": [ { "autoReactivation": true, "validDuration": "string" } ], "id": "string", "legacy": { "blobs": { "content": { "technical": { "bandwidth": { "guaranteed": true, "isMax": true, "level": 0, "max": 0, "maxUnit": "string", "unit": "string", "unlimited": true }, "connection": { "clients": { "concurrency": null, "number": null }, "total": 0 }, "connectionPerSeconds": { "total": 0, "unit": "string" }, "cpu": { "brand": "string", "cores": 0, "frequency": 0, "maxFrequency": 0, "model": "string", "threads": 0, "type": "string" }, "ephemeralLocalStorage": { "disks": [ null ] }, "gpu": { "memory": { "interface": null, "size": null, "sizeUnit": null }, "model": "string", "number": 0, "performance": 0 }, "memory": { "interface": "string", "size": 0, "sizeUnit": "string" }, "name": "string", "nodes": { "number": 0 }, "nvme": { "disks": [ null ] }, "os": { "family": "string" }, "requestPerSeconds": { "total": 0, "unit": "string" }, "storage": { "disks": [ null ], "raid": "string" }, "throughput": { "level": 0 }, "volume": { "capacity": { "max": null }, "iops": { "guaranteed": null, "level": null, "max": null, "maxUnit": null, "unit": null } }, "vrack": { "guaranteed": true, "isMax": true, "level": 0, "max": 0, "maxUnit": "string", "unit": "string", "unlimited": true } } } }, "catalog": { "id": 0, "name": "string" }, "plan": "string" }, "nature": "BILLING_PLAN", "offers": [ { "commercialOffer": "string", "max": 0, "min": 0, "resourceDeliveryQuantity": 0 } ], "product": { "commercialProduct": { "code": "string", "descriptions": [ { "language": "cs_CZ", "longLabel": "string", "shortLabel": "string" } ] }, "max": 0, "min": 0 }, "technicalRequirements": [ { "default": "string", "name": "string", "values": [ "string" ] } ], "type": "ATOMIC", "validity": { "eolDate": "2024-01-01T12:00:00Z", "eosDate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z" }, "version": 0}